> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Extract Template (Async)

> Execute Extract Template Async Endpoint



## OpenAPI

````yaml /api-reference/openapi.json post /v2/extract/templates/async
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/extract/templates/async:
    post:
      tags:
        - Extract Templates API
      summary: Run Extract Template (Async)
      description: Execute Extract Template Async Endpoint
      operationId: runExtractTemplateAsync
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ExtractionTemplateBody'
                - properties:
                    callback_url:
                      description: URL to call back when async operation completes
                      examples:
                        - https://example.com/webhook/callback
                      type: string
                    storage_compress:
                      description: Whether to compress stored data
                      examples:
                        - true
                      type: boolean
                    storage_object_name:
                      description: Custom name for the stored object
                      examples:
                        - result-2024-01-15.json
                      type: string
                    storage_type:
                      description: Type of storage to use for results
                      examples:
                        - s3
                      type: string
                    storage_url:
                      description: URL for storage location
                      examples:
                        - s3://bucket-name/path/to/object
                      type: string
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  status:
                    const: success
                    type: string
                  task:
                    additionalProperties: {}
                    properties: {}
                    type: object
                required:
                  - status
                  - task
                type: object
          description: Async Task Created
      security:
        - BearerAuth: []
components:
  schemas:
    ExtractionTemplateBody:
      description: Request body for executing an Extraction Template
      properties:
        formats:
          description: Response formats to include. All disabled by default.
          examples:
            - - html
              - markdown
          items:
            enum:
              - html
              - markdown
              - screenshot
              - headers
              - links
            type: string
          minItems: 1
          type: array
        localization:
          default: false
          type: boolean
        params:
          additionalProperties: {}
          properties: {}
          type: object
        template:
          type: string
      required:
        - params
        - template
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````